aboutsummaryrefslogtreecommitdiff
path: root/kde
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-09-29 15:13:34 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-09-29 15:13:34 +0000
commitd995784bb9793ed0438f693b0bac3a4aee201f0f (patch)
treec89b24430239e5199708d9ce61f24e786d55ae53 /kde
parent42306de104555c27b8c94b2505355338abd0103d (diff)
downloadslackbuilds-d995784bb9793ed0438f693b0bac3a4aee201f0f.tar.gz
slackbuilds-d995784bb9793ed0438f693b0bac3a4aee201f0f.tar.bz2
atualização do kdmtheme-1.2
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1391 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'kde')
-rwxr-xr-xkde/misc/kdmtheme/kdmtheme.SlackBuild72
1 files changed, 34 insertions, 38 deletions
diff --git a/kde/misc/kdmtheme/kdmtheme.SlackBuild b/kde/misc/kdmtheme/kdmtheme.SlackBuild
index a855e582..f861103e 100755
--- a/kde/misc/kdmtheme/kdmtheme.SlackBuild
+++ b/kde/misc/kdmtheme/kdmtheme.SlackBuild
@@ -1,9 +1,22 @@
#!/bin/bash
#
-# SlackBuild for kdmtheme
-# http://beta.smileaf.org/files/kdmtheme/
+# kdmtheme.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# Author: Rudson R. Alves
+# kdmtheme.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for kdmtheme, by Rudson R. Alves
+# requires: Null
+# tested: kdmtheme-1.2
#
# Look for slackbuildrc
@@ -17,8 +30,8 @@ fi
CWD="$(pwd)"
SRC_NAME="kdmtheme"
PKG_NAME="kdmtheme"
-ARCH=${ARCH:=i468}
-SRC_VERSION=${VERSION:=1.1.2}
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=1.2}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -28,7 +41,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=""}
-NUMJOBS=${NUMJOBS:="-j4"}
+NUMJOBS=${NUMJOBS:="-j7"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -62,13 +75,14 @@ mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="$SRC_NAME-$SRC_VERSION.tar.bz2"
+SRC="$SRC_NAME-$VERSION.tar.bz2"
URL="http://beta.smileaf.org/files/kdmtheme/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
+
# Untar
cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
@@ -78,7 +92,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make $NUMJOBS || exit $ERROR_MAKE
@@ -95,7 +109,7 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
)
# Install documentation
-DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog COPYING"
+DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING readme.*"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
@@ -109,18 +123,18 @@ cat << EODESC > "$PKG/install/slack-desc"
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler----------------------------------------------------|
-kdmtheme: KDM Theme Manager by Slack.Sarava
-kdmtheme:
+ |-----handy-ruler-----------------------------------------------------|
+kdmtheme: kdmtheme by Slack.Sarava
+kdmtheme:
kdmtheme: KDM Theme manager is just what it says a theme Manager for KDM.
-kdmtheme:
-kdmtheme: This control module allows you to easily add, remove and select any
-kdmtheme: KDM theme you want.
-kdmtheme:
-kdmtheme:
-kdmtheme:
-kdmtheme:
-kdmtheme:
+kdmtheme: This control module allows you to easily add, remove and select
+kdmtheme: any KDM theme you want.
+kdmtheme:
+kdmtheme: To run kdmtheme simple open K Control Center and go to System
+kdmtheme: Administration. There you will find KDM Theme Manager
+kdmtheme:
+kdmtheme:
+kdmtheme:
EODESC
# Build the package
@@ -131,21 +145,3 @@ makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERRO
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-